using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.GlobalHelper;
using CMS.Forums;
using CMS.CMSHelper;
using CMS.UIControls;

public partial class CMSModules_Forums_Tools_Posts_ForumPost_Tree : CMSForumsPage
{
    protected void Page_PreInit(object sender, EventArgs e)
    {
        treeElem.TreeView.CssClass = "ContentTree";
        treeElem.ItemCssClass = "ContentTreeItem";
        treeElem.SelectedItemCssClass = "ContentTreeSelectedItem";
    }


    protected void Page_Load(object sender, EventArgs e)
    {
        int forumId = QueryHelper.GetInteger("forumid", 0);

        ltlScript.Text = ScriptHelper.GetScript("function ShowPost(showId){ if(showId==-1) {parent.frames['posts_edit'].location.href = 'ForumPost_View.aspx?forumid=' + " + forumId + ";} else {parent.frames['posts_edit'].location.href = 'ForumPost_View.aspx?postid=' + showId;}}");
        ltlScript.Text += ScriptHelper.GetScript("var currentNode = document.getElementById('treeSelectedNode');\n function SelectNode(nodeElem){ \n  if(currentNode != null)  { currentNode.className = 'ContentTreeItem'; } \n if ( nodeElem != null )\n { currentNode = nodeElem;  currentNode.className = 'ContentTreeSelectedItem'; }\n}");

        this.treeElem.ForumID = forumId;

        // Setup the treeview
        this.treeElem.TreeView.LineImagesFolder = GetImageUrl("Design/Controls/Tree");
        this.treeElem.TreeView.ImageSet = TreeViewImageSet.Custom;
        this.treeElem.TreeView.ExpandImageToolTip = ResHelper.GetString("ContentTree.Expand");
        this.treeElem.TreeView.CollapseImageToolTip = ResHelper.GetString("ContentTree.Collapse");
        this.treeElem.AdministrationMode = true;
        this.treeElem.SelectOnlyApproved = false;
        this.treeElem.ShowApprovePics = true;
        this.treeElem.IsLiveSite = false;

        this.treeElem.OnGetPostIconUrl += new CMSModules_Forums_Controls_PostTree.GetIconEventHandler(PostTree1_OnGetPostIconUrl);

        int postId = QueryHelper.GetInteger("postid", 0);
        if (postId > 0)
        {
            treeElem.Selected = postId;
        }
    }


    /// <summary>
    /// Set icon handler
    /// </summary>
    string PostTree1_OnGetPostIconUrl(CMS.Forums.ForumPostTreeNode node)
    {
        string imageUrl = "";

        if (node != null)
        {
            imageUrl = GetImageUrl("CMSModules/CMS_Forums/post16.png");
            if (!ValidationHelper.GetBoolean(((DataRow)node.ItemData)["PostApproved"], false))
            {
                imageUrl = GetImageUrl("CMSModules/CMS_Forums/rejected16.png");
            }
        }

        return imageUrl;
    }
}
